Stai vedendo 1 articolo (di 1 totali)
  • Autore
    Articoli
  • #6092

    vins_26
    Partecipante

    Salve a tutti, mi sono appena iscritto sul forum e vorrei porvi una mia questione dove spero possiate aiutarmi.
    Sto cercando di replicare un lavoro che ho visto su github che prevede l’installazione di FCIS e mxnet. Dopo aver seguito per filo e per segno le prime fasi di preprocessing, mi sposto in FCIS dove dice di eseguire la demo per verificare che tutto sia stato installato correttamente e mi accorgo mio malgrado che il comando init.bat non va, ed eseguendo la demo.py afferma che manca un modulo che in realtà è presente.
    Il messaggio di errore di init.bat è il seguente:
    C:\Users\Utente\FCIS>init.bat
    C:\Users\Utente\FCIS>cd /d C:\Users\Utente\FCIS\
    C:\Users\Utente\FCIS>mkdir .\data
    Sottodirectory o file .\data già esistente.
    C:\Users\Utente\FCIS>mkdir .\output
    Sottodirectory o file .\output già esistente.
    C:\Users\Utente\FCIS>mkdir .\external\mxnet
    Sottodirectory o file .\external\mxnet già esistente.
    C:\Users\Utente\FCIS>mkdir .\model\pretrained_model
    Sottodirectory o file .\model\pretrained_model già esistente.
    C:\Users\Utente\FCIS>pause
    Premere un tasto per continuare . . .
    C:\Users\Utente\FCIS>cd lib\bbox
    C:\Users\Utente\FCIS\lib\bbox>python setup_windows.py build_ext –inplace
    running build_ext
    skipping ‘bbox.c’ Cython extension (up-to-date)
    building ‘bbox’ extension
    error: Microsoft Visual C++ 14.0 is required. Get it with “Build Tools for Visual Studio”: https://visualstudio.microsoft.com/downloads/
    C:\Users\Utente\FCIS\lib\bbox>cd ..\dataset\pycocotools
    C:\Users\Utente\FCIS\lib\dataset\pycocotools>python setup_windows.py build_ext –inplace
    running build_ext
    building ‘_mask’ extension
    error: Unable to find vcvarsall.bat
    C:\Users\Utente\FCIS\lib\dataset\pycocotools>cd ..\..\nms
    C:\Users\Utente\FCIS\lib\nms>python setup_windows.py build_ext –inplace
    Traceback (most recent call last):
    File “setup_windows.py”, line 70, in <module>
    CUDA = locate_cuda()
    File “setup_windows.py”, line 56, in locate_cuda
    raise EnvironmentError(‘The nvcc binary could not be ‘
    OSError: The nvcc binary could not be located in your $PATH. Either add it to your path, or set $CUDA_PATH
    C:\Users\Utente\FCIS\lib\nms>python setup_windows_cuda.py build_ext –inplace
    running build_ext
    building ‘gpu_nms’ extension
    error: Microsoft Visual C++ 14.0 is required. Get it with “Build Tools for Visual Studio”: https://visualstudio.microsoft.com/downloads/
    C:\Users\Utente\FCIS\lib\nms>cd ..\mask
    C:\Users\Utente\FCIS\lib\mask>python setup_windows.py build_ext –inplace
    running build_ext
    building ‘gpu_mv’ extension
    error: Microsoft Visual C++ 14.0 is required. Get it with “Build Tools for Visual Studio”: https://visualstudio.microsoft.com/downloads/
    C:\Users\Utente\FCIS\lib\mask>cd ..\..
    C:\Users\Utente\FCIS>pause

    Spero non si tratti di un problema legato al fatto che bisogna necessariamente utilizzare CUDA, poichè io dispongo di un AMD/ATI Radeon HD Series.
    Spero possiate aiutarmi

Stai vedendo 1 articolo (di 1 totali)

Devi essere loggato per rispondere a questa discussione.